Videos APIEndpoints

Confirm a video upload

POST
/v1/videos/{id}/upload/completion

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your VTurb API token (vt_...). Sent as Authorization: Bearer <token>.

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/videos/652f2b1e8f1b2c3d4e5f6a7b/upload/completion" \  -H "Content-Type: application/json" \  -d '{    "parts": [      {        "part_number": 1,        "etag": "etag-1"      },      {        "part_number": 2,        "etag": "etag-2"      }    ]  }'
{  "id": "652f2b1e8f1b2c3d4e5f6a7b",  "status": "processing"}